JTDIFF(1)

NAME
jtdiff - Regression Test Harness

DESCRIPTION

  Usage:

    jtdiff options... [directory|file]...

Compare Options

-r | -reason
    Include the reason string in the comparison, as well as the type (i.e. Passed, Failed, etc.)

-s | -super
    Perform a "super-diff" looking for result sets within a directory hierarchy. The hierarchy must be arranged as follows: PATH/PLATFORM/YEAR/DAY_OF_YEAR/TEST_RESULTS, where PATH is given by the single directory argument, PLATFORM is the name of the platform on which the tests were run, YEAR and DAY_OF_YEAR are numbers identifying when the tests were run, and TESTSUITE_RESULTS is a fixed string identifying when to find the result set in the hierarchy. The default is "JTreport/text/summary.txt", but it can be set to a different value by setting the system property "jtdiff.super.testResults". It may identify any source of results acceptable to a standard invocation of jtdiff. Set system property jtdiff.html.compact=true for a more output format, with symbols replacing the words "pass" (check mark), "fail" (cross), "error" (cross in a circle), and "not run" (horizontal bar).

Output Options Options to customize the output

-format:html|text
    Output format. If not specified, it is inferred from the extension of the output file.

-o:<file> | -outFile:<file>
    File to which to write the results

-title:<string>
    Title to use for the results

Help Options Options for additional help and information

-h [words...] | -help [words...] | --help [words...] | -usage [words...]
    Command line help. Give words to see help info containing those or use "-help all" to see all available help.

-version
    Give information about the version of jtdiff in use.

Input Files Input files can be any of work directories, report directories,

    or the summary.txt files in a report directory.

jtdiff can also be run with Ant.

Installed in /build/jtreg8-YsijZu/jtreg8-8.3+1+ds1/build/images/jtreg/lib/jtreg.jar Running on platform version 25.0.4-ea from /usr/lib/jvm/java-25-openjdk-amd64. Built with Java(TM) 2 SDK, Version 25.0.4-ea+4-1-Ubuntu on Mon, 22 Jun 2026 08:14:11 +1200.

SEE ALSO
The full documentation for jtdiff is maintained as a Texinfo manual. If the info and jtdiff programs are properly installed at your site, the command

    info jtdiff

should give you access to the complete manual.